> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truckaurbus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search published machines: class, maker, kind, weight and power bands, price, sort, paging



## OpenAPI

````yaml /api-reference/openapi.json get /v1/machines
openapi: 3.1.0
info:
  title: Truckaurbus API
  version: v1
  description: >-
    The public v1 API at https://api.truckaurbus.com/v1. Authenticate with an
    API key in the Authorization header: Bearer tab_live_...
servers:
  - url: https://api.truckaurbus.com
security: []
paths:
  /v1/machines:
    get:
      tags:
        - v1
      summary: >-
        Search published machines: class, maker, kind, weight and power bands,
        price, sort, paging
      operationId: identity_api_v1_machines
      parameters: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MachineSearchOut'
          description: OK
components:
  schemas:
    MachineSearchOut:
      properties:
        engine:
          enum:
            - meilisearch
            - database
          title: Engine
          type: string
        facets:
          additionalProperties:
            additionalProperties:
              type: integer
            type: object
          title: Facets
          type: object
        hits:
          items:
            $ref: '#/components/schemas/MachineSummaryOut'
          title: Hits
          type: array
        limit:
          title: Limit
          type: integer
        offset:
          title: Offset
          type: integer
        query:
          title: Query
          type: string
        sort:
          anyOf:
            - enum:
                - price_asc
                - price_desc
                - weight_asc
                - weight_desc
                - power_desc
                - newest
                - launched
              type: string
            - type: 'null'
          title: Sort
        total:
          title: Total
          type: integer
      required:
        - query
        - hits
        - total
        - offset
        - limit
        - facets
        - engine
      title: MachineSearchOut
      type: object
    MachineSummaryOut:
      properties:
        blade_width_mm:
          anyOf:
            - type: integer
            - type: 'null'
          title: Blade Width Mm
        boom_length_m:
          anyOf:
            - type: number
            - type: 'null'
          title: Boom Length M
        bucket_m3:
          anyOf:
            - type: number
            - type: 'null'
          title: Bucket M3
        dig_depth_mm:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dig Depth Mm
        drum_width_mm:
          anyOf:
            - type: integer
            - type: 'null'
          title: Drum Width Mm
        family:
          anyOf:
            - type: string
            - type: 'null'
          title: Family
        fuel_lph:
          anyOf:
            - type: number
            - type: 'null'
          title: Fuel Lph
        id:
          title: Id
          type: integer
        image:
          anyOf:
            - type: string
            - type: 'null'
          title: Image
        is_sample:
          default: false
          title: Is Sample
          type: boolean
        kind:
          anyOf:
            - type: string
            - type: 'null'
          title: Kind
        launched_at:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          title: Launched At
        lifecycle:
          title: Lifecycle
          type: string
        lift_capacity_t:
          anyOf:
            - type: number
            - type: 'null'
          title: Lift Capacity T
        lift_height_m:
          anyOf:
            - type: number
            - type: 'null'
          title: Lift Height M
        machine_class:
          title: Machine Class
          type: string
        manufacturer:
          $ref: '#/components/schemas/RefOut'
        name:
          title: Name
          type: string
        operating_weight_kg:
          anyOf:
            - type: integer
            - type: 'null'
          title: Operating Weight Kg
        payload_kg:
          anyOf:
            - type: integer
            - type: 'null'
          title: Payload Kg
        plate:
          default: []
          items:
            $ref: '#/components/schemas/PlateCellOut'
          title: Plate
          type: array
        power_kw:
          anyOf:
            - type: number
            - type: 'null'
          title: Power Kw
        power_source:
          anyOf:
            - type: string
            - type: 'null'
          title: Power Source
        price_as_of:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          title: Price As Of
        price_from_inr:
          anyOf:
            - type: integer
            - type: 'null'
          title: Price From Inr
        price_kind:
          anyOf:
            - type: string
            - type: 'null'
          title: Price Kind
        price_to_inr:
          anyOf:
            - type: integer
            - type: 'null'
          title: Price To Inr
        published_at:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          title: Published At
        rated_load_kg:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rated Load Kg
        slug:
          title: Slug
          type: string
        tipping_load_kg:
          anyOf:
            - type: integer
            - type: 'null'
          title: Tipping Load Kg
        verified_at:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          title: Verified At
      required:
        - id
        - slug
        - name
        - manufacturer
        - machine_class
        - lifecycle
      title: MachineSummaryOut
      type: object
    RefOut:
      properties:
        name:
          title: Name
          type: string
        slug:
          title: Slug
          type: string
      required:
        - slug
        - name
      title: RefOut
      type: object
    PlateCellOut:
      properties:
        key:
          title: Key
          type: string
        label:
          title: Label
          type: string
        label_hi:
          anyOf:
            - type: string
            - type: 'null'
          title: Label Hi
        label_ta:
          anyOf:
            - type: string
            - type: 'null'
          title: Label Ta
        unit:
          title: Unit
          type: string
        value:
          anyOf:
            - type: number
            - type: integer
          title: Value
      required:
        - key
        - label
        - unit
        - value
      title: PlateCellOut
      type: object

````